package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import io.swagger.models.auth.In;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 仓库交易记录表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2018-11-01 13:21
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_TRANS")
@DynamicInsert
@DynamicUpdate
@Api(value="仓库交易记录表",description = "仓库交易记录表")
public class WmsTrans extends BaseBean{

    @Column(name="ORDER_NO")
    @ApiParam(value ="单据编号")
    private String orderNo;

    @Column(name="SN")
    @ApiParam(value ="箱条码")
    private String sn;

    @Column(name="PART_ID")
    @ApiParam(value ="零件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long partId;

    @Column(name="PART_No")
    @ApiParam(value ="零件编号")
    private String partNo;

    @Column(name="PART_NAME_RDD")
    @ApiParam(value ="零件名称")
    private String partNameRdd;

    @Column(name="TRANS_STATUS")
    @ApiParam(value ="交易状态")
    private String Trans_status;

    @Column(name="QTY")
    @ApiParam(value ="需求数")
    private Double qty;

    @Column(name="TRANS_CODE")
    @ApiParam(value ="交易类型")
    private String transCode;

    @Column(name="DATASOURCE")
    @ApiParam(value ="数据来源")
    private Integer dataSource;

    @Column(name="UNIT")
    @ApiParam(value ="单位")
    private String unit;

    @Column(name="SRC_LOC_ID")
    @ApiParam(value ="来源库位id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long srcLocId;

    @Column(name="SRC_LOC_CODE")
    @ApiParam(value ="来源库位代码")
    private String srcLocCode;

    @Column(name="DEST_LOC_ID")
    @ApiParam(value ="目标库位id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long destLocId;

    @Column(name="DEST_LOC_CODE")
    @ApiParam(value ="目标库位代码")
    private String destLocCode;

    public Long getSrcLocId() {
        if(srcLocId != null) {
            return srcLocId.longValue();
        }else{
            return srcLocId;
        }
    }

    public Long getPartId() {
        if(partId != null) {
            return partId.longValue();
        }else{
            return partId;
        }
    }

    public Long getDestLocId() {
        if(destLocId != null) {
            return destLocId.longValue();
        }else{
            return destLocId;
        }
    }
}
